
Name:	gAny2DVD
Version: 0.1.7
Release: %mkrel 2

Summary: gAny2DVD is an easy tool to create DVDs from your video files
License: LGPL
Group:	 Video
URL:	 http://www.gnomefiles.org/app.php/gAny2DVD
Source:	 %{name}-0.1-7.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
BuildRequires: desktop-file-utils
Requires: dvdauthor
Requires: mplayer
Requires: perl
Requires: perl-Gtk2

%description
gAny2DVD is a graphical Gtk2 application that can convert any of
your video files supported by your installation of 'mplayer' into
MPEG2 format suitable for creating DVD's. A simple DVD authoring
tool is included as well. Ypu need to have mplayer, mencoder and
dvdauthor installed in order to run gAny2DVD.

NOTE:
If you intend to mux text subtitles (.sub, srt) into creating
.mpeg2 file, you need to put some TrueType (*.ttf) font into your
.spumux/ directory in your home.

%prep
%setup -q -c -n %{name}-%{version}
%__sed -i -e 's|/usr/lib/perl5|%{perl_vendorlib}|g' \
	usr/share/gAny2DVD/gany2dvd.pl
%__sed -i -e 's|/usr/share/icons/gnome/48x48/apps/gany2dvd.png|%{_datadir}/pixmaps/gany2dvd.png|g' \
	usr/share/gAny2DVD/Main.pm

%build

%install
%__install -dm 755 %{buildroot}%{perl_vendorlib}
%__cp -a usr/lib/perl5/toba \
	%{buildroot}%{perl_vendorlib}

%__install -dm 755 %{buildroot}%{_datadir}/%{name}
%__cp -a usr/share/gAny2DVD/* \
	%{buildroot}%{_datadir}/%{name}

# start-script
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 usr/bin/gany2dvd \
	%{buildroot}%{_bindir}

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 usr/share/icons/gnome/48x48/apps/gany2dvd.png \
	%{buildroot}%{_datadir}/pixmaps

# menu-entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=gAny2DVD
Comment=gAny2DVD is an easy tool to create DVDs from your video files
Exec=gany2dvd
Icon=gany2dvd.png
Terminal=false
Encoding=UTF-8
Categories=X-MandrivaLinux-Multimedia-Video;Video;AudioVideo;AudioVideoEditing;GTK;
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%post 
%{update_desktop_database}
%{update_menus}

%postun 
%{clean_desktop_database}
%{clean_menus}


%files
%defattr(-, root, root)
%{_bindir}/*
%dir %{perl_vendorlib}/toba
%{perl_vendorlib}/toba/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/gany2dvd.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun May 25 2009 Texstar <texstar@gmail.com> 0.1.7-2pclos2009
- fix rpm group

* Tue Aug 12 2008 slick50 <slick50@linuxgator.org> 0.1.7-1pclos2007
- Initial build 
